﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace WebChatApi.Common
{
    /// <summary>
    /// Enum EducationDegree
    /// </summary>
    [DataContract]
    public enum EducationDegree
    {
        /// <summary>
        /// Unknown
        /// </summary>
        [EnumMember]
        Unknown = 0,
        /// <summary>
        /// The none
        /// </summary>
        [EnumMember]
        None = 1,
        /// <summary>
        /// The junior high
        /// </summary>
        [EnumMember]
        JuniorHigh,
        /// <summary>
        /// The high school
        /// </summary>
        [EnumMember]
        HighSchool,
        /// <summary>
        /// The technical school
        /// </summary>
        [EnumMember]
        TechnicalSchool,
        /// <summary>
        /// The polytechnic
        /// </summary>
        [EnumMember]
        Polytechnic,
        /// <summary>
        /// The bachelor
        /// </summary>
        [EnumMember]
        Bachelor,
        /// <summary>
        /// The master
        /// </summary>
        [EnumMember]
        Master,
        /// <summary>
        /// The doctorate
        /// </summary>
        [EnumMember]
        Doctorate,
        /// <summary>
        /// The others
        /// </summary>
        [EnumMember]
        Others = 100
    }
}
