﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace WebChatApi.Common.Interface
{
    /// <summary>
    /// Interface for globalized objects
    /// </summary>
    public interface IGlobalizedObjectName
    {
        ///// <summary>
        ///// Gets or sets the name.
        ///// </summary>
        ///// <value>
        ///// The name.
        ///// </value>
        //string Name { get; set; }

        /// <summary>
        /// Gets or sets the culture info.
        /// </summary>
        /// <value>
        /// The culture info.
        /// e.g.: zh-CN, en-US, pt-PT, etc.
        /// </value>
        string CultureInfo { get; set; }

    }
}
