﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace WebChatApi.Common.Interface
{
    /// <summary>
    /// Interface for service request
    /// </summary>
    public interface IServiceRequest
    {
        /// <summary>
        /// Gets the session info.
        /// </summary>
        /// <value>
        /// The session info.
        /// </value>
        SessionInfo SessionInfo
        {
            get;
        }

        /// <summary>
        /// Creates the web action track.
        /// </summary>
        /// <returns></returns>
        WebActionTrack CreateWebActionTrack();
    }
}
