﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;
using System.IO;
using System.Xml.Linq;
using System.Threading;
using System.Runtime.Serialization;

namespace WebChatApi.Common.LightAccessControl
{
    /// <summary>
    /// Class for AccessLicense
    /// </summary>
    [DataContract]
    public class AccessLicense
    {
        /// <summary>
        /// Gets or sets the access key.
        /// </summary>
        /// <value>
        /// The access key.
        /// </value>
        [DataMember]
        public Guid AccessKey
        {
            get;
            set;
        }

        [DataMember]
        public string SecretKey
        {
            get;
            set;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="AccessLicense"/> class.
        /// </summary>
        public AccessLicense()
        {
        }
    }
}
