﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ifunction.WebChatApi;
using ifunction.WebChatApi.Client;
using ifunction.WebChatApi.Contract;
using WebChatResponseApplication.Properties;

namespace WebChatResponseApplication
{
    /// <summary>
    /// Summary description for Push
    /// </summary>
    public class Push : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            try
            {
                MessageResponser responser = new MessageResponser();
                responser.Response(context, true);
            }
            catch (Exception ex)
            {
                InitializationFailureException exception = new InitializationFailureException("ProcessRequest", ex);
                Framework.Instance.Logger.LogException(exception);
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}