﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebChatApi.Common
{
    /// <summary>
    /// Constants for template key
    /// </summary>
    public static class MessagingTemplateKey
    {
        #region Property Constants

        /// <summary>
        /// The reset password key
        /// </summary>
        public static string ResetPasswordKey = "Reset_Password";

        /// <summary>
        /// The doctor invite patient key
        /// </summary>
        public static string DoctorInvitePatientKey = "Doctor_Invite_Patient";

        /// <summary>
        /// The patient invite patient key
        /// </summary>
        public static string PatientInvitePatientKey = "Patient_Invite_Patient";

        /// <summary>
        /// The invite user key
        /// </summary>
        public static string InviteUserKey = PatientInvitePatientKey;
        /// <summary>
        /// The feeds key
        /// </summary>
        public static string FeedsKey = "FeedsKey";

        /// <summary>
        /// The request key
        /// </summary>
        public static string RequestKey = "RequestKey";

        /// <summary>
        /// The chat key
        /// </summary>
        public static string ChatKey = "ChatKey";

        #endregion
    }
}
