﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace WebChatApi.Common
{
    /// <summary>
    /// Enum for Messaging State
    /// </summary>
    [DataContract]
    public enum MessagingState
    {
        /// <summary>
        /// Value indicating it is Unknown
        /// </summary>
        [EnumMember]
        Unknown = 0,
        /// <summary>
        /// Value indicating it is Succeed
        /// </summary>
        [EnumMember]
        Succeed,
        /// <summary>
        /// Value indicating it is Failed
        /// </summary>
        [EnumMember]
        Failed,
        /// <summary>
        /// Value indicating it is Pending
        /// </summary>
        [EnumMember]
        Pending,
        /// <summary>
        /// Value indicating it is Sending
        /// </summary>
        [EnumMember]
        Sending
    }
}
