﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace WebChatApi.Common
{
    /// <summary>
    /// Enum values for task priority
    /// </summary>
    [DataContract]
    public enum TaskPriority
    {
        /// <summary>
        /// The value indicating that task priority is low.
        /// </summary>
        [EnumMember]
        Low = -1,
        /// <summary>
        /// The value indicating that task priority is normal.
        /// </summary>
        [EnumMember]
        Normal = 0,
        /// <summary>
        /// The value indicating that task priority is high.
        /// </summary>
        [EnumMember]
        High,
        /// <summary>
        /// The value indicating that task priority is urgent.
        /// </summary>
        [EnumMember]
        Urgent
    }
}
