﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebChatApi.Common.Interface
{
    /// <summary>
    /// Interface for object identifiable.
    /// </summary>
    public interface IIdentifiable
    {
        /// <summary>
        /// Gets the key.
        /// </summary>
        /// <value>
        /// The key.
        /// </value>
        Guid Key { get; }
    }
}
