﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;

/// <summary>
/// The Interface namespace.
/// </summary>
namespace WebChatApi.Common.Interface
{
    /// <summary>
    /// Interface ISqlDataAdapter
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public interface ISqlDataAdapter<T>
    {
        /// <summary>
        /// Converts the object.
        /// </summary>
        /// <param name="reader">The reader.</param>
        /// <returns>List{`0}.</returns>
        List<T> ConvertObject(SqlDataReader reader);
    }
}
