﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace WebChatApi.Common.Interface
{
    /// <summary>
    /// 
    /// </summary>
    public interface IWithinUserDisplay
    {
        /// <summary>
        /// Gets or sets the avator code.
        /// </summary>
        /// <value>
        /// The avator code.
        /// </value>
        string AvatorCode { get; }

        /// <summary>
        /// Gets or sets the user key.
        /// </summary>
        /// <value>
        /// The user key.
        /// </value>
        Guid UserKey { get; }

        /// <summary>
        /// Gets or sets the first name.
        /// </summary>
        /// <value>
        /// The first name.
        /// </value>
        string UserDisplayName { get; }
    }
}
