﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using WebChatApi.Common.Interface;

namespace WebChatApi.Common
{
    /// <summary>
    /// A model class for saving session information
    /// </summary>
    [DataContract]
    [KnownType(typeof(BaseObject))]
    
    public class RolePermissionInfo : BaseObject, IIdentifiable
    {
        #region Properties

        /// <summary>
        /// Gets or sets the interface infos.
        /// </summary>
        /// <value>
        /// The interface infos.
        /// </value>
        List<InterfaceInfo> InterfaceInfos
        {
            get;
            set;
        }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="RolePermissionInfo"/> class.
        /// </summary>
        public RolePermissionInfo()
            : base()
        {
        }

        #endregion
    }
}
