﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using WebChatApi.Common.Interface;

namespace WebChatApi.Common
{
    /// <summary>
    /// Class for system object mapping, whose key is in Guid type.
    /// </summary>
    [KnownType(typeof(BaseMappingObject<Guid, Guid>))]
    public class MappingObject : BaseMappingObject<Guid, Guid>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MappingObject"/> class.
        /// </summary>
        public MappingObject()
            : base()
        {
        }
    }
}
