﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using WebChatApi.Common.Interface;

namespace WebChatApi.Common
{
    /// <summary>
    /// </summary>
    [DataContract]
    [KnownType(typeof(BaseCriteria))]
    [KnownType(typeof(ApplicationSource))]
    public class UserCriteria : UserBasedCriteria
    {
        #region Properties

        /// <summary>
        /// Gets or sets the source.
        /// </summary>
        /// <value>
        /// The source.
        /// </value>
        [DataMember]
        public ApplicationSource? Source
        {
            get;
            set;
        }

        #endregion

        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="UserCriteria"/> class.
        /// </summary>
        public UserCriteria()
            : base()
        {
        }

        #endregion
    }
}
